#include <iostream.h>
#include <string.h>
#include <conio.h>
#include <stdio.h>
#pragma hdrstop

class Student
{
  public:
    void JakiStudent(char *);
    Student(); // konstruktor
    ~Student();// destruktor
  private:
    char *Nazwisko;
};
//-----konstruktor klasy Student---------------------------
Student::Student()
{
 Nazwisko = new char[40];
 cout <<"Konstruktor klasy zostal zainicjowany.";
 cout << endl << "Nacisnij Enter" << endl;
 getchar();
}
//---------------------------------------------------------
void Student::JakiStudent(char *s)
{
  Nazwisko = s;
  if(strcmp(Nazwisko, "Wackowski")==0)
    strcpy(Nazwisko, "bardzo dobry student");
  if(strcmp(Nazwisko, "Jankowski")==0)
     strcpy(Nazwisko, "kiepski student");
  cout << Nazwisko << endl;

  cout << endl<< "Nacisnij klawisz..." << endl;
  return;
}
//-------destruktor klasy Student--------------------------
Student::~Student()
{
  delete[] Nazwisko;
  cout <<"Konstruktor zostal zniszczony."
         " Powtornie nacisnij klawisz..." << endl;
  getch();
}
//--------------------------------------------------------
int main()
{
  char *KtoryStudent;
  KtoryStudent = new char[40];
  Student InfoStudent;
  clrscr();
  cout << "Podaj nazwisko: ";
  gets(KtoryStudent);
  InfoStudent.JakiStudent(KtoryStudent);
  getch();
  delete[] KtoryStudent;
  return 0;
}

